

!!! Listing 1

// Import von Paketen und Klassen

package p1;
public class Bsp1{
}

package p2;
public class Bsp1{
Bsp1 (int i) {}
}

import p1.Bsp1;   // nicht erlaubt: import p2.Bsp1;
import p2.*;      // darf auch fehlen

public class Beide {
 Bsp1 bsp11= new Bsp1();
 p2.Bsp1 bsp12= new p2.Bsp1(1);
}

!!! Listing 2

// Import von Klassen ohne
// vorherigen Paket-Import

public class BeideOhneImport {
 static p1.Bsp1 bsp11= new p1.Bsp1();
 static p2.Bsp1 bsp12= new p2.Bsp1(1);
}

!!! Listing 3

// Unterschiedliche Wege, das Paket
// bsp zu benutzen

// das gesamte Paket bsp importieren

package bsp; 
public class janus {
  public static janus obj= new janus();
  public void print() { System.out.println("Class janus of package bsp\n");
  }
}

// aus bsp die Klasse janus importieren

package bsp.janus;
public class obj {
  public static void print() {
    System.out.println("Class obj of package bsp.janus\n");
  }
}

// die Methode print in janusDemo
// ohne Import aufrufen

public class janusDemo {
 public static void main (String ags[]) {
   bsp.janus.obj.print();
 }
}

!!! Linie ziehen

/* 
Protokoll:
> javac -d . obj.java janusDemo.java
> java janusDemo
Class obj of package bsp.janus

> javac -d . janus.java janusDemo.java
> java janusDemo
Class janus of package bsp 
*/



